Bug 1452240 - kvmgt.ko needs unknown symbol
Summary: kvmgt.ko needs unknown symbol
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kernel-rt
Version: 7.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Luis Claudio R. Goncalves
QA Contact: Jiri Kastner
URL:
Whiteboard:
Depends On:
Blocks: 1175461 1353018
TreeView+ depends on / blocked
 
Reported: 2017-05-18 16:04 UTC by Luiz Capitulino
Modified: 2017-08-02 00:26 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 19:05:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2077 normal SHIPPED_LIVE Important: kernel-rt security, bug fix, and enhancement update 2017-08-01 18:13:37 UTC

Description Luiz Capitulino 2017-05-18 16:04:41 UTC
Description of problem:

When installing the kernel-rt package without the kernel-rt-kvm package, I get the following warnings:

depmod: WARNING: /lib/modules/3.10.0-666.rt56.585.el7.x86_64/kernel/drivers/gpu/drm/i915/gvt/kvmgt.ko needs unknown symbol gfn_to_memslot
depmod: WARNING: /lib/modules/3.10.0-666.rt56.585.el7.x86_64/kernel/drivers/gpu/drm/i915/gvt/kvmgt.ko needs unknown symbol kvm_put_kvm
depmod: WARNING: /lib/modules/3.10.0-666.rt56.585.el7.x86_64/kernel/drivers/gpu/drm/i915/gvt/kvmgt.ko needs unknown symbol kvm_write_guest
depmod: WARNING: /lib/modules/3.10.0-666.rt56.585.el7.x86_64/kernel/drivers/gpu/drm/i915/gvt/kvmgt.ko needs unknown symbol kvm_slot_page_track_remove_page
depmod: WARNING: /lib/modules/3.10.0-666.rt56.585.el7.x86_64/kernel/drivers/gpu/drm/i915/gvt/kvmgt.ko needs unknown symbol kvm_page_track_register_notifier
depmod: WARNING: /lib/modules/3.10.0-666.rt56.585.el7.x86_64/kernel/drivers/gpu/drm/i915/gvt/kvmgt.ko needs unknown symbol kvm_page_track_unregister_notifier
depmod: WARNING: /lib/modules/3.10.0-666.rt56.585.el7.x86_64/kernel/drivers/gpu/drm/i915/gvt/kvmgt.ko needs unknown symbol kvm_slot_page_track_add_page
depmod: WARNING: /lib/modules/3.10.0-666.rt56.585.el7.x86_64/kernel/drivers/gpu/drm/i915/gvt/kvmgt.ko needs unknown symbol kvm_read_guest
depmod: WARNING: /lib/modules/3.10.0-666.rt56.585.el7.x86_64/kernel/drivers/gpu/drm/i915/gvt/kvmgt.ko needs unknown symbol kvm_get_kvm

The problem is that the kvmgt.ko module needs symbols exported by kvm.ko, which is provided by kernel-rt-kvm.

The consequence of this problem is that the user will be unable to load kvmgt if kernel-rt-kvm is not installed. If kernel-rt-kvm is installed afterwards, depmod -a needs to be run again otherwise the user will still be unable to load kvmgt.

I think the best solution is to include kvmgt in the kernel-rt-kvm package. Although I don't know if anyone will ever be using kvmgt under the RT kernel or if it works at all under the RT kernel.


Version-Release number of selected component (if applicable): kernel-rt-3.10.0-666.rt56.585.el7.x86_64


How reproducible:


Steps to Reproduce:
1. Install the kernel-rt package without kernel-rt-kvm

Comment 19 errata-xmlrpc 2017-08-01 19:05:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2077

Comment 20 errata-xmlrpc 2017-08-02 00:26:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2077


Note You need to log in before you can comment on or make changes to this bug.